Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class MetadataNameNotFoundException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalArgumentException
                      MetadataNameNotFoundException

All Implemented Interfaces:
  Serializable

Deprecated. No replacement.

    @UML(identifier="CV_MetadataNameNotFound",
         specification=OGC_01004)
    public class MetadataNameNotFoundException

extends IllegalArgumentException

Thrown when a requested metadata is not found.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `SampleDimension.getMetadataValue(java.lang.String)`, `Coverage.getMetadataValue(java.lang.String)`, `GridCoverageReader.getMetadataValue(java.lang.String)`, `GridCoverageProcessor.getMetadataValue(java.lang.String)`, Serialized Form

Constructor Summary
`MetadataNameNotFoundException()` Deprecated. Creates an exception with no message.
`MetadataNameNotFoundException(String message)` Deprecated. Creates an exception with the specified message.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetadataNameNotFoundException

    public MetadataNameNotFoundException()

  Deprecated.
  Creates an exception with no message.

### MetadataNameNotFoundException

    public MetadataNameNotFoundException(String message)

  Deprecated.
  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.